For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Transaction history

/bridge/tx-history

get

Retrieve transaction history for a user

Query parameters
from_addressstringRequired

Address of the user requesting the transaction history

Pattern: ^0x[a-fA-F0-9]{40}$
src_chain_idstringRequired

Chain ID of the source/bridge-out chain. Note this is different from the src_chain parameter in /bridge/firm-quote which is the network name.

offsetstringOptional

Pagination offset. Default is 0.

page_sizestringOptional

Number of transactions to return per page.

Header parameters
api_keystringRequired

The API key that was assigned to you by Native

Responses
200

Successful response containing transaction history

application/json
has_morebooleanOptional

Indicates whether there are more transactions available

next_offsetinteger · int32Optional

Offset to use for the next page of results

get/swap-api-v2/v1/bridge/tx-history
GET /swap-api-v2/v1/bridge/tx-history?from_address=text&src_chain_id=text HTTP/1.1
Host: v2.api.native.org
api_key: text
Accept: */*
200

Successful response containing transaction history

{
  "tx_history": [
    {
      "bridge_quote_id": "text",
      "create_time": "text"
    }
  ],
  "has_more": true,
  "next_offset": 1
}

Only quotes actually executed on the source chain will appear in the history.

Last updated